%define enable_japanese 1

# XXX don't mess with %%{_libdir} yet, it's gonna be a FHS pita.
%define	_libdir		%{_prefix}/lib

%define	tcltk_major	8.3
%define	tclx_major	8.2

%define	tclvers		%{tcltk_major}.1
%define tclXvers	%{tclx_major}.0
%define	expvers		5.31
%define	Tixvers		4.1.0
%define	itclvers	3.1.0
%define tcllibvers	0.4

# XXX Don't add --enable-threads yet, see bugzilla #11789
%define	myconfig	--enable-gcc --enable-shared --enable-debug

Summary: A Tcl/Tk development environment: tcl, tk, tix, tclX, expect, and itcl.
Name: tcltk
Version: %{tclvers}
Release: 46j2
Source0: ftp://ftp.scriptics.com/pub/tcl/tcl8_3/tcl%{tclvers}.tar.gz
Source1: ftp://ftp.scriptics.com/pub/tcl/tcl8_3/tk%{tclvers}.tar.gz
Source2: ftp://ftp.scriptics.com/pub/tcl/expect/expect%{expvers}.tar.gz
Source3: ftp://ftp.neosoft.com/pub/tcl/TclX/tclX%{tclXvers}.tar.gz
Source4: ftp://ftp.tix.mne.com/pub/tcl/tix/Tix%{Tixvers}.006.tar.gz
Source5: ftp://ftp.scriptics.com/pub/tcl/itcl/itcl%{itclvers}.tar.gz
Source6: ftp://ftp.scriptics.com/pub/tcl/tcllib/tcllib%{tcllibvers}.tar.gz
Source7: autopasswd
Patch0: tcltk-8.0-ieee.patch
Patch1: tcl8.0.3-glibc21.patch
Patch2: tcl8.0.5-sigpwr.patch
Patch3: tcl-%{tclvers}-cruft.patch
Patch4: tcl-8.2.3-bug7082.patch
Patch5: tcl-8.3.1-alpha70.patch
Patch6: tcl-8.3.1-tclmkl.patch
Patch10: expect-5.24-mkpasswd.patch
Patch11: expect-%{expvers}-alpha.patch
Patch13: expect-5.31-jbj.patch
Patch14: expect-5.31-bug7869.patch
Patch15: expect-5.31-bug7775.patch
Patch16: expect-5.31.7-bug11595.patch
Patch17: expect-5.31-fixcat.patch
Patch20: tix-4.1.0.6-perf.patch
Patch21: tix-4.1.0-cruft.patch
Patch22: tix-4.1.0-tixconfig.patch
Patch30: itcl-3.1.0-itclconfig.patch
# i18n patch
Patch40: tcl8.3.1i18n.patch
Patch41: tcl8.3.1jp-locale.patch
Patch42: tk8.3.1i18n.patch
Copyright: BSD
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-root

%description
Tcl is a simple scripting language designed to be embedded into other
applications.  Tcl is designed to be used with Tk, a widget set.

%package -n tcl
#Version: %{tclvers}
Summary: An embeddable scripting language.
Group: Development/Languages
URL: http://www.scriptics.com

%description -n tcl
Tcl is a simple scripting language designed to be embedded into other
applications.  Tcl is designed to be used with Tk, a widget set, which
is provided in the tk package.  This package also includes tclsh, a
simple example of a Tcl application.

If you're installing the tcl package and you want to use Tcl for
development, you should also install the tk and tclx packages.

%package -n tk
#Version: %{tclvers}
Summary: The Tk GUI toolkit for Tcl, with shared libraries.
Group: Development/Languages
URL: http://www.scriptics.com

%description -n tk
Tk is a widget set for the X Window System that is designed to work
closely with the Tcl scripting language. It allows you to write simple
programs with full featured GUI's in only a little more time then it
takes to write a text based interface. Tcl/Tk applications can also be
run on Windows and Macintosh platforms.

%package -n expect
Version: %{expvers}
Summary: A tcl extension for simplifying program-script interaction.
Group: Development/Languages

%description -n expect
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing those applications.  Expect makes it easy for a script to
control another program and interact with it.

Install the expect package if you'd like to develop scripts which
interact with interactive applications.  You'll also need to install
the tcl package.

%package -n tclx
Version: %{tclXvers}
Summary: Extensions for Tcl.
Group: Development/Languages
URL: http://www.neosoft.com/

%description -n tclx
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math,
lists, and message catalogs.  TclX can be used with both Tcl and
Tcl/Tk applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n tix
Version: %{Tixvers}.6
Summary: A set of capable widgets for Tk.
Group: Development/Languages

%description -n tix
Tix (Tk Interface Extension), an add-on for the Tk widget set, is an
extensive set of over 40 widgets.  In general, Tix widgets are more
complex and more capable than the widgets provided in Tk.  Tix widgets
include a ComboBox, a Motif-style FileSelectBox, an MS Windows-style
FileSelectBox, a PanedWindow, a NoteBook, a hierarchical list, a
directory tree and a file manager.

Install the tix package if you want to try out more complicated
widgets for Tk.  You'll also need to have the tcl and tk packages
installed.

%package -n itcl
Version: %{itclvers}
Summary: Object-oriented mega-widgets for Tcl.
Group: Development/Languages

%description -n itcl
[incr Tcl] is an object-oriented extension of the Tcl language and was
created to support more structured programming in Tcl.  Tcl scripts
longer than a few thousand lines become extremely difficult to
maintain because the building blocks of vanilla Tcl are procedures and
global variables. All of these building blocks must reside in a single
global namespace and there is no support for protection or
encapsulation.

To help out with this problem, [incr Tcl] introduces the notion of
objects.  Each object is a bag of data with a set of procedures or
"methods" that are used to manipulate it.  Objects are organized into
"classes" with identical characteristics, and classes can inherit
functionality from one another.  This object-oriented paradigm adds
another level of organization on top of the basic variable/procedure
elements, and the resulting code is easier to understand and
maintain.

Install itcl if you're programming with Tcl, and you need the
object-oriented functionality that [incr Tcl] can provide.

%package -n tcllib
Version: %{tcllibvers}
Summary: A library of utility modules for Tcl.
Group: Development/Libraries

%description -n tcllib
Tcllib is a collection of utility modules for Tcl. These modules provide
a wide variety of functionality, from implementations of standard data
structures to implementations of common networking protocols. The intent
is to collect commonly used function into a single library, which users
can rely on to be available and stable. 

%prep

%setup -q -c -a 1 -a 2 -a 3 -a 4 -a 5 -a 6

cd tcl%{tclvers}
#%patch0 -p2 -b .ieee
%patch1 -p2 -b .glibc21
%patch2 -p2 -b .sigpwr
%patch3 -p2 -b .cruft
%patch4 -p2 -b .bug7082
#%patch5 -p2 -b .alpha70
%patch6 -p2 -b .tclmkl
%if %{enable_japanese}
%patch40 -p3 -b .tcli18n
%patch41 -p1 -b .jplocale
%endif
cd ..

# XXX can't run autoconf on tclX
#cd tclX%{tclXvers}
#cd unix
#chmod u+w configure ; autoconf
#cd ..
#cd ..

cd tk%{tclvers}
%if %{enable_japanese}
%patch42 -p3 -b .tki18n
%endif
cd ..

cd expect%{expvers}
%patch10 -p2 -b .mkpasswd
%patch11 -p2 -b .alpha
%patch13 -p2 -b .jbj
%patch14 -p2 -b .bug7869
%patch15 -p2 -b .bug7775
%patch16 -p2 -b .bug11595
%patch17 -p2 -b .fixcat
cp %{SOURCE7} ./example/autopasswd
chmod u+w configure ; autoconf
cd ..

cd Tix%{Tixvers}
%patch20 -p2 -b .perf
%patch21 -p2 -b .cruft
%patch22 -p2 -b .tixconfig
cd unix
[ -d tk%{tcltk_major} ] || {
    mv tk8.0 tk%{tcltk_major}
    perl -pi -e 's,tk8.0,tk%{tcltk_major},g' Makefile.in
}
chmod u+w configure ; autoconf
cd ..
cd ..

cd itcl%{itclvers}
%patch30 -p2 -b .itclconfig
cd ..

#==========================================
%build

# make the libraries reentrant
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_REENTRANT"

#------------------------------------------
# Tcl
#
cd tcl%{tclvers}/unix

%configure %{myconfig}
make CFLAGS="${RPM_OPT_FLAGS} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"
cd ../..

#------------------------------------------
# Tk
#
cd tk%{tclvers}/unix

%configure %{myconfig}
make CFLAGS="${RPM_OPT_FLAGS} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"
cd ../..

#------------------------------------------
# tclX
#
cd tclX%{tclXvers}/unix

%configure %{myconfig}

# XXX drill out duplicated math libraries for now
perl -pi -e 's/ -lieee -lm//' Common.mk

make CFLAGS="${RPM_OPT_FLAGS} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"
cd ../..

#------------------------------------------
# Expect
#
cd expect%{expvers}

%configure %{myconfig} \
	--with-tclconfig=../tcl%{tclvers}/unix \
	--with-tkconfig=../tk%{tclvers}/unix \
	--with-tclinclude=../tcl%{tclvers}/generic \
	--with-tkinclude=../tk%{tclvers}/generic

# XXX drill out HAVE_OPENPTY for now
perl -pi -e 's,HAVE_OPENPTY,HAVE_OPENPTY_BUT_DONT_USE_IT,g' expect_cf.h || :
# XXX drill in HAVE_PTMX for now
perl -pi -e 's,/* #undef HAVE_PTMX */,#define HAVE_PTMX 1,g' expect_cf.h || :

make Makefile

# XXX drill out HAVE_OPENPTY for now
perl -pi -e 's,HAVE_OPENPTY,HAVE_OPENPTY_BUT_DONT_USE_IT,g' expect_cf.h || :
# XXX drill in HAVE_PTMX for now
perl -pi -e 's,/* #undef HAVE_PTMX */,#define HAVE_PTMX 1,g' expect_cf.h || :

make CFLAGS="${RPM_OPT_FLAGS} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"

cd ..

#------------------------------------------
# Tix
#
cd Tix%{Tixvers}/unix

%configure %{myconfig} --disable-cdemos

cd tk%{tcltk_major}

%configure %{myconfig} --disable-cdemos \
	--with-tcl=../../../tcl%{tclvers} --with-tk=../../../tk%{tclvers}
make CFLAGS="${RPM_OPT_FLAGS} -D__NO_STRING_INLINES -D__NO_MATH_INLINES -fwritable-strings"
cd ../../..

#------------------------------------------
# Itcl
#
cd itcl%{itclvers}

%configure %{myconfig} --exec-prefix=/foo
make CFLAGS="${RPM_OPT_FLAGS} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"
cd ..

#------------------------------------------
# Tcllib
#
cd tcllib%{tcllibvers}

# XXX nothing to build.

cd ..

#==========================================
%install
rm -rf ${RPM_BUILD_ROOT}
rm -f *.files*

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}

#------------------------------------------
# Tcl
#
make INSTALL_ROOT=${RPM_BUILD_ROOT} install -C tcl%{tclvers}/unix

ln -sf libtcl%{tcltk_major}.so ${RPM_BUILD_ROOT}%{_libdir}/libtcl.so
ln -sf tclsh%{tcltk_major} ${RPM_BUILD_ROOT}%{_bindir}/tclsh
echo "%%defattr(-,root,root)" > tcl.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | sort >> tcl.files

#------------------------------------------
# Tk
#
make INSTALL_ROOT=${RPM_BUILD_ROOT} install -C tk%{tclvers}/unix

ln -sf libtk%{tcltk_major}.so ${RPM_BUILD_ROOT}%{_libdir}/libtk.so
ln -sf wish%{tcltk_major} ${RPM_BUILD_ROOT}%{_bindir}/wish
echo "%%defattr(-,root,root)" > tk.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - tcl.files \
	| sort | uniq -u >> tk.files

#------------------------------------------
# TclX
#
make INSTALL_ROOT=${RPM_BUILD_ROOT} install -C tclX%{tclXvers}/unix

ln -sf libtkx%{tclx_major}.so ${RPM_BUILD_ROOT}%{_libdir}/libtkx.so
ln -sf libtclx%{tclx_major}.so ${RPM_BUILD_ROOT}%{_libdir}/libtclx.so
if [ "%_mandir" = "%{_prefix}/share/man" ]; then
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; tar cf - ./man[13n] ) | 
   ( cd ${RPM_BUILD_ROOT}%{_mandir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; rm -rf ./man[13n] )
fi
echo "%%defattr(-,root,root)" > tclx.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - tcl.files tk.files \
	| sort | uniq -u >> tclx.files

#------------------------------------------
# Expect
#
make INSTALL_ROOT=${RPM_BUILD_ROOT} install -C expect%{expvers}

# remove cryptdir/decryptdir, as Linux has not crypt command (#6668).
rm -f ${RPM_BUILD_ROOT}%{_bindir}/{cryptdir,decryptdir}
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/{cryptdir,decryptdir}.1*

echo "%%defattr(-,root,root)" > expect.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - tcl.files tk.files tclx.files \
	| sort | uniq -u >> expect.files

# for files in expect.files, sed the #! at the top...
set +x
for n in `cat expect.files`; do
	[ -f $n ] || continue
	head -1 $n | grep '^#!' > /dev/null 2>&1 || continue
	chmod u+w $n
	perl -pi -e "s|${RPM_BUILD_ROOT}||" $n
done
set -x

#------------------------------------------
# Tix
#
LD_LIBRARY_PATH=${RPM_BUILD_ROOT}%{_libdir} make INSTALL_ROOT=${RPM_BUILD_ROOT} install -C Tix%{Tixvers}/unix

if [ "%_mandir" = "%{_prefix}/share/man" ]; then
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; tar cf - ./man[13n] ) | 
   ( cd ${RPM_BUILD_ROOT}%{_mandir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; rm -rf ./man[13n] )
fi
mv ${RPM_BUILD_ROOT}%{_mandir}/mann/tixwish.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/tixwish.1
ln -sf tixwish4.1.%{tcltk_major} ${RPM_BUILD_ROOT}%{_bindir}/tixwish
ln -sf libtix4.1.%{tcltk_major}.so ${RPM_BUILD_ROOT}%{_libdir}/libtix.so
echo "%%defattr(-,root,root)" > tix.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - tcl.files tk.files tclx.files expect.files\
	| sort | uniq -u >> tix.files

set +x
for n in `cat tix.files`; do
	[ -f $n ] || continue
	head -1 $n | grep '^#!' > /dev/null 2>&1 || continue
	chmod u+w $n
	perl -pi -e "s|${RPM_BUILD_ROOT}||" $n
done
set -x

#------------------------------------------
# Itcl
#
make INSTALL_ROOT=${RPM_BUILD_ROOT} exec_prefix=%{_prefix} INSTALL="install -c" MKINSTALLDIRS="mkdir -p" install -C itcl%{itclvers}

ln -sf libitk3.1.so ${RPM_BUILD_ROOT}%{_libdir}/libitk.so
ln -sf libitcl3.1.so ${RPM_BUILD_ROOT}%{_libdir}/libitcl.so
if [ "%_mandir" = "%{_prefix}/share/man" ]; then
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; tar cf - ./man[13n] ) | 
   ( cd ${RPM_BUILD_ROOT}%{_mandir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; rm -rf ./man[13n] )
fi
echo "%%defattr(-,root,root)" > itcl.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - tcl.files tk.files tclx.files expect.files tix.files \
	| sort | uniq -u >> itcl.files

set +x
for n in `cat itcl.files`; do
	[ -f $n ] || continue
	head -1 $n | grep '^#!' > /dev/null 2>&1 || continue
	chmod u+w $n
	perl -pi -e "s|${RPM_BUILD_ROOT}||" $n
done
set -x

#------------------------------------------
# Tcllib
#
cd tcllib%{tcllibvers}
./install.sh ${RPM_BUILD_ROOT}%{_prefix}
cd ..

if [ "%_mandir" = "%{_prefix}/share/man" ]; then
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; tar cf - ./man[13n] ) | 
   ( cd ${RPM_BUILD_ROOT}%{_mandir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; rm -rf ./man[13n] )
fi
echo "%%defattr(-,root,root)" > tcllib.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - tcl.files tk.files tclx.files expect.files tix.files itcl.files \
	| sort | uniq -u >> tcllib.files

#------------------------------------------
# this is too annoying to watch
set +x
for n in *.files; do
	mv $n $n.in
	sed "s|.*%{_prefix}|%{_prefix}|" < $n.in | while read file; do
	    if [ -d ${RPM_BUILD_ROOT}/$file ]; then
		echo -n '%dir '
	    fi
	    echo $file
	done > $n
	rm -f $n.in
done
set -x

# Strip the binaries
strip ${RPM_BUILD_ROOT}%{_bindir}/* > /dev/null 2>&1 || :

# Man pages can be compressed
perl -pi -e 's|(^%{_mandir}/man.*$)|\1\*|' *.files

#==========================================
%post -p /sbin/ldconfig -n tcl
%post -p /sbin/ldconfig -n tk
%post -p /sbin/ldconfig -n expect
%post -p /sbin/ldconfig -n tclx
%post -p /sbin/ldconfig -n tix
%post -p /sbin/ldconfig -n itcl
%post -p /sbin/ldconfig -n tcllib

%postun -p /sbin/ldconfig -n tcl
%postun -p /sbin/ldconfig -n tk
%postun -p /sbin/ldconfig -n expect
%postun -p /sbin/ldconfig -n tclx
%postun -p /sbin/ldconfig -n tix
%postun -p /sbin/ldconfig -n itcl
%postun -p /sbin/ldconfig -n tcllib

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -f *.files*

%files -f tcl.files -n tcl
%files -f tk.files -n tk
%files -f tclx.files -n tclx
%files -f expect.files -n expect
%files -f tix.files -n tix
%files -f itcl.files -n itcl
%files -f tcllib.files -n tcllib

%changelog
* Thu Aug 24 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese patch

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Tue Aug  8 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- remove symlink to libtixsam.so

* Thu Aug  3 2000 Jeff Johnson <jbj@redhat.com>
- merge "best known" patches from searching, stubs were broken.
- tix needs -fwritable-strings (#14352).
- create tixwish symlink.

* Thu Jul 27 2000 Jeff Johnson <jbj@redhat.com>
- rebuild against "working" util-linux col.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 16 2000 Jeff Johnson <jbj@redhat.com>
- make sure that tix shared libraries are installed.
- don't mess with %%{_libdir}, it's gonna be a FHS pita.

* Sat Jun 10 2000 Jeff Johnson <jbj@redhat.com>
- move, not symlink, unix/tk8.0 to generate Tix pkgIndex.tcl correctly (#11940).

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- tclX had wrong version.

* Fri Jun  2 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging changes.
- revert --enable-threads, linux is not ready (yet) (#11789).
- tcl/tk: update to 8.3.1 (#10779).
- expect: update to 5.31.7+ (#11595).
- add tcllib-0.4.
- abstract major tcltk version for soname expansion etc.

* Sat Mar 18 2000 Jeff Johnson <jbj@redhat.com>
- update to (tcl,tk}-8.2.3, expect-5.31, and itcl-3.1.0, URL's as well.
- use perl to drill out pre-pended RPM_BUILD_ROOT.
- configure with --enable-threads (experimental).
- improved version of autopasswd (#4788).
- autopasswd needs to handle password starting with hyphen (#9917).
- handle 553 ftp status in rftp expect script (#7869).
- remove cryptdir/decryptdir, as Linux has not crypt command (#6668).
- correct hierarchy spelling (#7082).
- fix "expect -d ...", format string had int printed as string (#7775).

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Thu Feb 03 2000 Elliot Lee <sopwith@redhat.com>
- Make changes from bug number 7602
- Apply patch from bug number 7537
- Apply fix from bug number 7157
- Add fixes from bug #7601 to the runtcl patch

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions
- man pages are compressed (whatapain)

* Tue Nov 30 1999 Jakub Jelinek <jakub@redhat.com>
- fix tclX symlinks.
- compile on systems where SIGPWR == SIGLOST.

* Sat May  1 1999 Jeff Johnson <jbj@redhat.com>
- update tcl/tk to 8.0.5.
- avoid "containing" in Tix (#2332).

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- use /usr/bin/write in kibitz (#1320).
- use cirrus.sprl.umich.edu in weather (#1926).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 28)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- whoops, exec-prefix for itcl was set to '/foo', changed to '/usr'.

* Tue Feb 16 1999 Jeff Johnson <jbj@redhat.com>
- expect does unaligned access on alpha (#989)
- upgrade tcl/tk/tclX to 8.0.4
- upgrade expect to 5.28.
- add itcl 3.0.1

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow building on the arm
- build for glibc 2.1
- strip binaries

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update tcl/tk/tclX to 8.0.3, expect is updated also.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- expect: mkpasswd needs delay before sending password (problem #576)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed expect binaries exec permissions

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to Tix 4.1.0.006
- updated version numbers of tcl/tk to relflect includsion of p2

* Wed Mar 25 1998 Cristian Gafton <gafton@redhat.com>
- updated tcl/tk to patch level 2
- updated tclX to 8.0.2

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- fixed filelist for tix... replacing path to the expect binary in scripts
  was leaving junk files around.

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- added patch to remove libieee test in configure.in for tcl and tk.
  Shoudln't be needed anymore for glibc systems, but this isn't the "proper" 
  solution for all systems
- fixed src urls

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- removed version numbers from descriptions

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to tcl/tk 8.0 and related versions of packages

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- fixed dangling tclx/tkx symlinks
